<?php
/*
 *       _____ _____ _____                _       _
 *      |_   _/  __ \_   _|              (_)     | |
 *        | | | /  \/ | |  ___  ___   ___ _  __ _| |
 *        | | ||      | | / __|/ _ \ / __| |/ _` | |
 *       _| |_| \__/\ | |_\__ \ (_) | (__| | (_| | |
 *      |_____\_____/ |_(_)___/\___/ \___|_|\__,_|_|
 *                   ___
 *                  |  _|___ ___ ___
 *                  |  _|  _| -_| -_|  LICENCE
 *                  |_| |_| |___|___|
 *
 * IT NEWS  <>  PROGRAMMING  <>  HW & SW  <>  COMMUNITY
 *
 * This source code is part of online courses at IT social
 * network WWW.ICT.SOCIAL
 *
 * Feel free to use it for whatever you want, modify it and share it but
 * don't forget to keep this link in code.
 *
 * For more information visit http://www.ict.social/licences
 */

session_start();
require('Db.php');
Db::connect('127.0.0.1', 'noocms_db', 'root', '');

if ($_POST)
{
	if ($_POST['captcha'] != date('Y'))
		$notice = 'Invalid antispam - enter the current year.';
	else if ($_POST['password'] != $_POST['password_confirmation'])
		$notice = "Passwords don't match";
	else
	{
		$exists = Db::querySingle('
			SELECT COUNT(*)
			FROM user
			WHERE name=?
			LIMIT 1
		', $_POST['name']);
		if ($exists)
			$message = 'Nickname already taken.';
		else
		{
			Db::query('
				INSERT INTO user (name, password)
				VALUES (?, SHA1(?))
			', $_POST['name'], $_POST['password'] . "t&#ssdf54gh");
			$_SESSION['user_id'] = Db::getLastId();
			$_SESSION['user_name'] = $_POST['name'];
			$_SESSION['user_admin'] = 0;
			header('Location: administration.php');
			exit();
		}
	}
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8" />
	<link rel="stylesheet" href="style.css" type="text/css" />
	<title>Sign-up</title>
</head>

<body>
	<article>
		<div id="centerer">
			<header>
				<h1>Sign-up</h1>
			</header>
			<section>
				<?php
					if (isset($notice))
						echo('<p>' . $notice . '</p>');
				?>

				<form method="post">
					Name<br />
					<input type="text" name="name" /><br />
					Password<br />
					<input type="password" name="password" /><br />
					Password confirmation<br />
					<input type="password" name="password_confirmation" /><br />
					Enter current year (antispam)<br />
					<input type="text" name="captcha" /><br />
					<input type="submit" value="Sign-up" />
				</form>
			</section>
			<div class="clear"></div>
		</div>
	</article>
</body>
</html>
