<?php

/*
 *       _____ _____ _____                _       _
 *      |_   _/  __ \_   _|              (_)     | |
 *        | | | /  \/ | |  ___  ___   ___ _  __ _| |
 *        | | ||      | | / __|/ _ \ / __| |/ _` | |
 *       _| |_| \__/\ | |_\__ \ (_) | (__| | (_| | |
 *      |_____\_____/ |_(_)___/\___/ \___|_|\__,_|_|
 *                   ___
 *                  |  _|___ ___ ___
 *                  |  _|  _| -_| -_|  LICENCE
 *                  |_| |_| |___|___|
 *
 * IT NEWS  <>  PROGRAMMING  <>  HW & SW  <>  COMMUNITY
 *
 * This source code is part of online courses at IT social
 * network WWW.ICT.SOCIAL
 *
 * Feel free to use it for whatever you want, modify it and share it but
 * don't forget to keep this link in code.
 *
 * For more information visit http://www.ict.social/licences
 */

session_start();
if (!isset($_SESSION['user_id']))
{
	header('Location: sign-in.php');
	exit();
}

if (isset($_GET['sign-out']))
{
	session_destroy();
	header('Location: sign-in.php');
	exit();
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8" />
	<link rel="stylesheet" href="style.css" type="text/css" />
	<title>Administration</title>
</head>

<body>
<article>
	<div id="centerer">
		<header>
			<h1>Administration</h1>
		</header>
		<section>
			<p>Welcome to the administration, you're signed in as <?= htmlspecialchars($_SESSION['user_name']) ?>.</p>
			<?php
				if (!$_SESSION['user_admin'])
					echo("You don't have an administrator role, ask the administrator for it.");
			?>
			<h2><a href="editor.php">Article editor</a></h2>
			<h2><a href="articles.php">Article list</a></h2>
			<h2><a href="administration.php?sign-out">Sign-out</a></h2>
		</section>
		<div class="clear"></div>
	</div>
</article>
</body>
</html>
