<?php

/*
 *       _____ _____ _____                _       _
 *      |_   _/  __ \_   _|              (_)     | |
 *        | | | /  \/ | |  ___  ___   ___ _  __ _| |
 *        | | ||      | | / __|/ _ \ / __| |/ _` | |
 *       _| |_| \__/\ | |_\__ \ (_) | (__| | (_| | |
 *      |_____\_____/ |_(_)___/\___/ \___|_|\__,_|_|
 *                   ___
 *                  |  _|___ ___ ___
 *                  |  _|  _| -_| -_|  LICENCE
 *                  |_| |_| |___|___|
 *
 * IT NEWS  <>  PROGRAMMING  <>  HW & SW  <>  COMMUNITY
 *
 * This source code is part of online courses at IT social
 * network WWW.ICT.SOCIAL
 *
 * Feel free to use it for whatever you want, modify it and share it but
 * don't forget to keep this link in code.
 *
 * For more information visit http://www.ict.social/licences
 */


session_start();
require('Db.php');
Db::connect('127.0.0.1', 'noocms_db', 'root', '');

if (isset($_SESSION['user_id']))
{
	header('Location: administration.php');
	exit();
}

if ($_POST)
{
	$user = Db::queryOne('
		SELECT user_id, admin
		FROM user
		WHERE name=? AND password=SHA1(?)
	', $_POST['name'], $_POST['password'] . "t&#ssdf54gh");
	if (!$user)
		$notice = 'Invalid name or password.';
	else
	{
		$_SESSION['user_id'] = $user['user_id'];
		$_SESSION['user_name'] = $_POST['name'];
		$_SESSION['user_admin'] = $user['admin'];
		header('Location: administration.php');
		exit();
	}
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8" />
	<link rel="stylesheet" href="style.css" type="text/css" />
	<title>Sign-in to administration</title>
</head>

<body>
	<article>
		<div id="centerer">
			<header>
				<h1>Sign in to administration</h1>
			</header>
			<section>
				<?php
				if (isset($notice))
					echo('<p>' . $notice . '</p>');
				?>

				<form method="post">
					Name<br />
					<input type="text" name="name" /><br />
					password<br />
					<input type="password" name="password" /><br />
					<input type="submit" value="Sign-in" />
				</form>

				<p>If you don't have an account yet, <a href="sign-up.php">sign-up</a>.</p>
			</section>
			<div class="clear"></div>
		</div>
	</article>
</body>
</html>
